## Smol Commit Club

### About

I am a huge fan of atomic commits, and it is hard (I think) to get more atomic
than a commit where you can count the number of characters changed on one hand.

### Rules

  - All entries must be a PR or equivalent.
  - The PR should have as few commits as possible, ideally 1.
  - Regardless of the number of commits, the final result should be no more than
    5 changed characters.
  - The PR must be useful and functionally enhance the program usage in an
    obvious way. This includes but is not limited to:
    * Fixing examples in documentation so they run correctly.
    * Fixing a typo in actual code so it acts appropriately.
    * Fixing wording in documentation that correctly changes the meaning of the
      sentence.
  - Some examples of what doesn't count:
    * Removing a trailing space from the end of a line.
    * [Fixing a typo in documentation that does not change the meaning.](https://github.com/netdata/netdata/pull/13514)
      + While important, these kinds of commits are cosmetic and by-definition,
        not functional.
  - If the change needs to occur multiple times in a file, it is cheating to
    only do it once.

### Honorable Mentions

While these contributions don't fit the letter of the law, they do fit the
spirit.

  - [highlightjs/highlight.js - Fix arithmetic detection in Bash highlighter #3622](https://github.com/highlightjs/highlight.js/pull/3622)
  - [sed.git - doc: fix missing slash in example](https://git.savannah.gnu.org/cgit/sed.git/commit/?id=9f99a4f51)

### Single-Character Commits

  - [progdisc/resources - Fix haskell anchor #70](https://github.com/progdisc/resources/pull/70)
  - [wp-cli/core-command - Remove command substitution from is-installed #145](https://github.com/wp-cli/core-command/pull/145)
  - [vultr/vultr-cli - Remove extraneous dash from example command-line #279](https://github.com/vultr/vultr-cli/pull/279)

### Hall of Fame

  - [github/super-linter - Turn the pipe operator into the proper or operator #217](https://github.com/github/super-linter/pull/217)
  - [openssl.git - Fix CVE-2022-3602 in punycode decoder](https://git.openssl.org/?p=openssl.git;a=commitdiff;h=3b421ebc64c7b52f1b9feb3812bdc7781c784332)
